Name:           perl-accessors
Version:        1.01
Release:        %mkrel 2
Summary:        Create accessor methods in caller's package
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/accessors/
Source0:        http://www.cpan.org/authors/id/S/SP/SPURKIS/accessors-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More) >= 0.01
Requires:       perl

%description
The accessors pragma lets you create simple accessors at compile-time.

%prep
%setup -q -n accessors-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# A few of the .pm modules have bogus execute permission
find $RPM_BUILD_ROOT%{perl_vendorlib} -name *.pm | xargs chmod a-x

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Mar 15 2011 saispo <saispo> 1.01-2.mga1
+ Revision: 72103
- Fix Requires

* Tue Mar 15 2011 saispo <saispo> 1.01-1.mga1
+ Revision: 72075
- Fix build with removing fixperms
- imported package perl-accessors

